<?php





// auth 

class mgm_auth{

	// var

	var $license_key;

	var $activation_date;

	var $expire_date; 

	var $is_valid;

	

	// construct

	function mgm_auth(){

		$this->is_valid=true;

	}

	

	// set key

	function set_key($email, $license){

		// set

		$this->license_key = base64_encode(implode('|',array($email,$license,date('Ymd'),get_option('siteurl'))));

		// update option 

		update_option('mgm_auth', $this);

	}

	

	// get key

	function get_key(){		

		// not set

		if(empty($this->license_key)){

			if($this->verify_history())

				return true;	

							

			return true;

		}

		// check parts		

		$auth_token = explode('|',base64_decode($this->license_key));

		// single check

		if(preg_match('/\@/',$auth_token[0])){

			return true;

		}			

		// default

		return false;

	}

	

	// verify key

	function verify(){

		// validate

		$this->is_valid = $this->get_key();

		// return

		return $this->is_valid;		

	}

	

	// verify history old key

	function verify_history(){

		// old key

		if(get_option('mgm_license_key') || get_option('v1_mgm_license_key')){

			// set as true

			return true;

			/***********************************************************************************************************************

			// license

			$license_key     = get_option('v1_mgm_license_key') ? get_option('v1_mgm_license_key') : get_option('mgm_license_key');

			$activation_date = get_option('v1_mgm_licensing_activation_date') ? get_option('v1_mgm_licensing_activation_date') : get_option('mgm_licensing_activation_date');

			// check parts		

			$auth_token = explode('|',base64_decode($license_key));

			$this->set_key($auth_token[0], $license);

			*************************************************************************************************************************/

		}

		

		return true;

	}

	

	// validate 

	function validate_subscription($email){				

		// validate

		$activate = mgm_remote_request(MGM_LICENCE_CHECK_URL . '&email=' . $email);			

		// test	

		// $activate = 'SUCCESSFUL'; for test activation open this

		// double val

		if(strpos('|',$activate) !== false){

			list($activate, $license) = explode('|', $activate);

		}else{

			$license = uniqid();

		}

		// when equal

		if (trim($activate) == trim("SUCCESSFUL")) {	

			// set license

			$this->set_key($email, $license);	

			// send true

			return true;

		}

		// send error message

		return $activate;		

	}

}



// end file
