<?php

// autoresponder module

class mgm_autoresponseplus extends mgm_autoresponder{



	// construct

	function __construct(){

		// php4 construct

		$this->mgm_autoresponseplus();

	}

	

	// construct

	function mgm_autoresponseplus(){

		// parent

		parent::__construct();

		// set code

		$this->code = __CLASS__; 

		// set name

		$this->name = 'AutoResponse Plus';

		// desc

		$this->description = __('AutoResponse Plus Desc','mgm');

		// endpoint

		$this->_set_endpoint('live','http://www.autoresponseplus.com/scripts/addlead.pl');

		// set path

		parent::set_tmpl_path();	

	}

	

	// settings_box

	function settings_box(){

		global $wpdb;

		// data

		$data = array();	

		// set 

		$data['module'] = mgm_get_option($this->code);

		// load template view

		return $this->load_template('settings_box', array('data'=>$data), true);		

	}

	

	// update

	function settings_update(){

		// form type 

		switch($_POST['setting_form']){

			case 'main':

			// form main

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

			case 'box':

			default:

			// from box

				// set fields

				$this->setting['form_id'] = $_POST['setting']['autoresponseplus']['form_id'];

				$this->setting['unit']    = $_POST['setting']['autoresponseplus']['unit'];

				// update option

				update_option($this->code, $this);

				// print message	

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

		}		

	}

	

	// set postfields

	function _set_postfields($user_id){

		$user         = get_userdata($user_id);			

		$user_email   = stripslashes($user->user_email);		

		$display_name = stripslashes($user->display_name);	

		

		$this->postfields = array(

								"meta_web_form_id" => $this->setting['form_id'],

								"meta_split_id" => "",

								"unit" => $this->setting['unit'],

								"redirect" => "http://www.autoresponseplus.com/form/thankyou_vo.html",

								"meta_redirect_onlist" => "",

								"meta_adtracking" => "",

								"meta_message" => "1",

								"meta_required" => "from",

								"meta_forward_vars" => "0",

								"from" => $user_email,

								"name" => $display_name,

								"submit" => "Submit"

							);	

	}

}

// end file