<?php

// autoresponder module

class mgm_getresponse extends mgm_autoresponder{

	

	// construct

	function __construct(){

		// php4 construct

		$this->mgm_getresponse();

	}

	

	// construct

	function mgm_getresponse(){

		// parent

		parent::mgm_autoresponder();

		// set code

		$this->code = __CLASS__; 

		// set name

		$this->name = 'GetResponse';

		// desc

		$this->description = __('GetResponse Desc','mgm');

		// endpoint

		$this->_set_endpoint('live','http://www.getresponse.com/cgi-bin/add.cgi');

		// set path

		parent::set_tmpl_path();	

	}

	

	// settings_box

	function settings_box(){

		global $wpdb;

		// data

		$data = array();	

		// set 

		$data['module'] = mgm_get_option($this->code);

		// load template view

		return $this->load_template('settings_box', array('data'=>$data), true);		

	}

	

	// update

	function settings_update(){

		// form type 

		switch($_POST['setting_form']){

			case 'main':

			// form main

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

			case 'box':

			default:

			// from box					

				// set fields

				$this->setting['category1'] = $_POST['setting']['getresponse']['category1'];

				$this->setting['ref']       = $_POST['setting']['getresponse']['ref'];

				// update option

				update_option($this->code, $this);

				// print message

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

		}		

	}

	

	// set postfields

	function _set_postfields($user_id){

		$user         = get_userdata($user_id);			

		$user_email   = stripslashes($user->user_email);		

		$display_name = stripslashes($user->display_name);	

		

		$this->postfields = array(

								"campaign_name" => $this->setting['category1'],			

								"custom_ref"    => $this->setting['ref'],												

								"subscriber_name" => $display_name,

								"subscriber_email" => $user_email,

								"submit" => "Subscribe"

							);	

	}

}

// end file