<?php

// autoresponder module

class mgm_gvo extends mgm_autoresponder{

	

	// construct

	function __construct(){

		// php4 construct

		$this->mgm_gvo();

	}

	

	// construct

	function mgm_gvo(){

		// parent

		parent::mgm_autoresponder();

		// set code

		$this->code = __CLASS__; 

		// set name

		$this->name = 'GVO';

		// desc

		$this->description = __('GVO Desc','mgm');

		// endpoint

		$this->_set_endpoint('live','http://www.gogvo.com/subscribe.php');

		// set path

		parent::set_tmpl_path();	

	}

	

	// settings_box

	function settings_box(){

		global $wpdb;

		// data

		$data = array();	

		// set 

		$data['module'] = mgm_get_option($this->code);

		// load template view

		return $this->load_template('settings_box', array('data'=>$data), true);		

	}

	

	// update

	function settings_update(){

		// form type 

		switch($_POST['setting_form']){

			case 'main':

			// form main

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

			case 'box':

			default:

			// from box	

				// set fields

				$this->setting['campaign']      = $_POST['setting']['gvo']['campaign'];

				$this->setting['formid']        = $_POST['setting']['gvo']['formid'];

				$this->setting['affiliatename'] = $_POST['setting']['gvo']['affiliatename'];

				// update option

				update_option($this->code, $this);

				// print message

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

		}		

	}

	

	// set postfields

	function _set_postfields($user_id){

		$user         = get_userdata($user_id);			

		$user_email   = stripslashes($user->user_email);		

		$display_name = stripslashes($user->display_name);	

		

		$this->postfields = array(

								"Campaign" => $this->setting['campaign'],

								"FormId" => $this->setting['formid'],

								"AffiliateName" =>$this->setting['affiliatename'],								

								"Email" => $user_email,

								"FullName" => $display_name,

								"submit" => "Submit"

							);	

	}

}

// end file