<!--free settings-->

<div id="module_settings">

	<?php mgm_box_top($data['module']->name. ' Settings');?>

		<form name="frmmod_<?php echo $data['module']->code?>" id="frmmod_<?php echo $data['module']->code?>" action="admin.php?page=mgm/admin/payments&method=module_settings&module=<?php echo $data['module']->code?>">

			<table width="100%" cellpadding="1" cellspacing="0" border="0">

				<tr>

					<td valign="top">

						<p><b><?php _e('Subscription success title','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[success_title]" id="setting_success_title" value="<?php echo $data['module']->setting['success_title']; ?>" size="100"/>

						<p><div class="tips"><?php _e('Subscription success page title.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Subscription success message','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<textarea name="setting[success_message]" id="setting_success_message_<?php echo $data['module']->code?>" rows='4' cols='75' style="width:750px; height:100px"><?php echo mgm_stripslashes_deep(esc_html($data['module']->setting['success_message'])); ?></textarea>						

						<div class="clearfix"></div>

						<p><div class="tips"><?php _e('Subscription success page message.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Subscription failed title','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[failed_title]" id="setting_failed_title" value="<?php echo $data['module']->setting['failed_title']; ?>" size="100"/>

						<p><div class="tips"><?php _e('Subscription failed page title.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Subscription failed message','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<textarea name="setting[failed_message]" id="setting_failed_message_<?php echo $data['module']->code?>" rows='4' cols='75' style="width:750px; height:100px"><?php echo mgm_stripslashes_deep(esc_html($data['module']->setting['failed_message'])); ?></textarea>						

						<div class="clearfix"></div>

						<p><div class="tips"><?php _e('Subscription failed page message.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Button/Logo','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<?php if (! empty($data['module']->logo)) :?>

							<img src="<?php echo $data['module']->logo ?>" id="logo_image_<?php echo $data['module']->code?>" alt="<?php echo sprintf(__('%s Logo', 'mgm'),$data['module']->name) ?>" border="0"/><br />

					    <?php endif;?> 

						<input type="file" name="logo_<?php echo $data['module']->code?>" id="logo_<?php echo $data['module']->code?>" size="50"/>						

						<p><div class="tips"><?php _e('Free button/logo image.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Description','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<textarea name="description" id="setting_description_<?php echo $data['module']->code?>" rows='4' cols='75' style="width:750px; height:100px"><?php echo mgm_stripslashes_deep(esc_html($data['module']->description)); ?></textarea>						

						<div class="clearfix"></div>

						<p><div class="tips"><?php _e('Description shown on subscription page.','mgm'); ?></div></p>

					</td>

				</tr>

				<?php /*?><tr>

					<td valign="top">

						<p><b><?php _e('Test/Live Switch','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<select name="status" style="width:100px;">

							<?php echo mgm_make_combo_options(array('test'=>'TEST','live'=>'LIVE'), $data['module']->status, MGM_KEY_VALUE)?>

						</select>						

						<p><div class="tips"><?php _e('Switch between TEST/LIVE mode to test your payments.','mgm'); ?></div></p>

					</td>

				</tr>	<?php */?>

				<tr>

					<td valign="top">

						<p><b><?php _e('Custom Thankyou URL','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<input type="text" name="setting[thankyou_url]" id="setting_thankyou_url" value="<?php echo $data['module']->setting['thankyou_url']; ?>" size="120"/>											

						<p><div class="tips"><?php _e('Custom Thankyou URL for redirecting user to payment success/failed page. 

							This URL is meant to be updated inside your site, you can create a Wordpress post/page and paste the page url here.<br>

							<u><b>Tags</b></u>: <br>

							<b>[[payment_status_title]]</b> : Shows Title (success/failure) <br>

							<b>[[payment_status_message]]</b> : Shows Description (success/failure)<br>							

						','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Supported Buttons','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<?php echo implode(', ', $data['module']->supported_buttons)?>												

						<p><div class="tips"><?php _e('Supported buttons. READONLY, only for information.','mgm'); ?></div></p>

					</td>

				</tr>

				<?php if(in_array('subscription', $data['module']->supported_buttons)):?>

				<tr>

					<td valign="top">

						<p><b><?php _e('Supports Trial','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<?php echo ($data['module']->supports_trial =='Y') ? 'Yes' : 'No'?>												

						<p><div class="tips"><?php _e('Supports trial setup. READONLY, only for information.','mgm'); ?></div></p>

					</td>

				</tr>

				<?php endif;?>		

			</table>	

			<p>					

				<input class="button" type="submit" name="btn_save" value="<?php _e('Update Settings', 'mgm') ?>" />

			</p>	

			<input type="hidden" name="update" value="true" />

			<input type="hidden" name="setting_form" value="main" />

		</form>

	<?php mgm_box_bottom();?>

</div>

<script language="javascript">

	<!--	

	// onready

	jQuery(document).ready(function(){   

		// editor

		jQuery("#frmmod_<?php echo $data['module']->code?> textarea[id]").each(function(){						

			new nicEditor({fullPanel : true, iconsPath: '<?php echo MGM_PLUGIN_ASSETS_URL?>js/nicedit/nicEditorIcons.gif'}).panelInstance(jQuery(this).attr('id')); 			

		});

		// add : form validation

		jQuery("#frmmod_<?php echo $data['module']->code?>").validate({

			submitHandler: function(form) {					    					

				jQuery("#frmmod_<?php echo $data['module']->code?>").ajaxSubmit({type: "POST",				  

				  dataType: 'json',		

				  iframe: false,	

				  beforeSerialize: function($form) { 					

					// only on IE

					if(jQuery.browser.msie){

						jQuery($form).find("textarea[id]").each(function(){								

							jQuery(this).val(nicEditors.findEditor(jQuery(this).attr('id')).getContent()); 

						});										

					}

				  },								 

				  beforeSubmit: function(){						

					// show processing 

					mgm_show_message("#module_settings_<?php echo $data['module']->code?>", {status: "running", message: "<?php _e('Processing','mgm')?>..."}, true);

				  },

				  success: function(data){	

						// remove message										   														

						jQuery('#module_settings #message').remove();													

						// success	

						if(data.status=='success'){							

							// create message

							jQuery('#module_settings').prepend('<div id="message"></div>');

							// show

							jQuery('#module_settings #message').addClass(data.status).html(data.message);																								

						}else{															

							// create message

							jQuery('#module_settings').prepend('<div id="message"></div>');

							// show

							jQuery('#module_settings #message').addClass(data.status).html(data.message);

						}														

				  }}); // end   		

				  return false;											

			}

		});	

		// attach uploader

		mgm_file_uploader('#module_settings_<?php echo $data['module']->code?>', mgm_upload_logo);

	});	

	//-->	

</script>



	

