<!--paypal main settings-->

<div id="module_settings_<?php echo $data['module']->code?>">

	<?php mgm_box_top($data['module']->name. ' Settings');?>

		<form name="frmmod_<?php echo $data['module']->code?>" id="frmmod_<?php echo $data['module']->code?>" action="admin.php?page=mgm/admin/payments&method=module_settings&module=<?php echo $data['module']->code?>">

			<table width="100%" cellpadding="1" cellspacing="0" border="0">

				<tr>

					<td valign="top">

						<p><b><?php _e('PaypalPro API Username','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[username]" id="setting_username" value="<?php echo esc_html($data['module']->setting['username']); ?>" size="50"/>

						<p><div class="tips"><?php _e('PaypalPro API Username Provided by Paypal.','mgm'); ?></div></p>

					</td>

				</tr>	

				<tr>

					<td valign="top">

						<p><b><?php _e('PaypalPro API Password','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[password]" id="setting_password" value="<?php echo esc_html($data['module']->setting['password']); ?>" size="50"/>

						<p><div class="tips"><?php _e('PaypalPro API Password Provided by Paypal.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('PaypalPro API Signature','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[signature]" id="setting_signature" value="<?php echo esc_html($data['module']->setting['signature']); ?>" size="100"/>

						<p><div class="tips"><?php _e('PaypalPro API Signature Provided by Paypal.','mgm'); ?></div></p>

					</td>

				</tr>		

				<tr>

					<td valign="top">

						<p><b><?php _e('The Currency used for the payments','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<select name="setting[currency]" id="setting_currency" style="width:200px;">

							<?php echo mgm_make_combo_options(mgm_get_currencies(), $data['module']->setting['currency'], MGM_KEY_VALUE)?>

						</select>							

						<p><div class="tips"><?php _e('Currency to use, update primary currency in General Settings page.','mgm'); ?></div></p>

					</td>

				</tr>					

				<tr>

					<td valign="top">

						<p><b><?php _e('PayPal local site to use','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<select name="setting[locale]" id="setting_locale" style="width:120px;">

							<?php echo mgm_make_combo_options(mgm_get_locales(), $data['module']->setting['locale'], MGM_KEY_VALUE)?>

						</select>							

						<p><div class="tips"><?php _e('Paypal locale to use.','mgm'); ?></div></p>

					</td>

				</tr>

				<?php if(in_array('buypost', $data['module']->supported_buttons)):?>

				<tr>

					<td valign="top">

						<p><b><?php _e('Default Post Purchase Price','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[purchase_price]" id="setting_purchase_price" value="<?php echo $data['module']->setting['purchase_price']; ?>" size="10"/>

						<p><div class="tips"><?php _e('Post purchase price. Only available in modules which supports buypost.','mgm'); ?></div></p>

					</td>

				</tr>

				<?php endif;?>

				<tr>

					<td valign="top">

						<p><b><?php _e('Callback success title','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[success_title]" id="setting_success_title" value="<?php echo $data['module']->setting['success_title']; ?>" size="100"/>

						<p><div class="tips"><?php _e('Payment success page title.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Callback success message','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<textarea name="setting[success_message]" id="setting_success_message_<?php echo $data['module']->code?>" rows='4' cols='75' style="width:750px; height:100px"><?php echo mgm_stripslashes_deep(esc_html($data['module']->setting['success_message'])); ?></textarea>						

						<div class="clearfix"></div>

						<p><div class="tips"><?php _e('Payment success page message.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Callback failed title','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<input type="text" name="setting[failed_title]" id="setting_failed_title" value="<?php echo $data['module']->setting['failed_title']; ?>" size="100"/>

						<p><div class="tips"><?php _e('Payment failed page title.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Callback failed message','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<textarea name="setting[failed_message]" id="setting_failed_message_<?php echo $data['module']->code?>" rows='4' cols='75' style="width:750px; height:100px"><?php echo mgm_stripslashes_deep(esc_html($data['module']->setting['failed_message'])); ?></textarea>						

						<div class="clearfix"></div>

						<p><div class="tips"><?php _e('Payment failed page message.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Button/Logo','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<?php if (! empty($data['module']->logo)) :?>

							<img src="<?php echo $data['module']->logo ?>" id="logo_image_<?php echo $data['module']->code?>" alt="<?php echo sprintf(__('%s Logo', 'mgm'),$data['module']->name) ?>" border="0"/><br />

					    <?php endif;?> 

						<input type="file" name="logo_<?php echo $data['module']->code?>" id="logo_<?php echo $data['module']->code?>" size="50"/>						

						<p><div class="tips"><?php _e('Button/logo image.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Description','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<textarea name="description" id="setting_description_<?php echo $data['module']->code?>" rows='4' cols='75' style="width:750px; height:100px"><?php echo mgm_stripslashes_deep(esc_html($data['module']->description)); ?></textarea>						

						<div class="clearfix"></div>

						<p><div class="tips"><?php _e('Description shown on payment page.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Test/Live Switch','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<select name="status" style="width:100px;">

							<?php echo mgm_make_combo_options(array('test'=>'TEST','live'=>'LIVE'), $data['module']->status, MGM_KEY_VALUE)?>

						</select>						

						<p><div class="tips"><?php _e('Switch between TEST/LIVE mode to test your payments. Not all modules supports this feature.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Custom Thankyou URL','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<input type="text" name="setting[thankyou_url]" id="setting_thankyou_url" value="<?php echo $data['module']->setting['thankyou_url']; ?>" size="120"/>											

						<p><div class="tips"><?php _e('Custom Thankyou URL for redirecting user to payment success/failed page. 

							This URL is meant to be updated inside your site, you can create a Wordpress post/page and paste the page url here.<br>

							<u><b>Tags</b></u>: <br>

							<b>[[payment_status_title]]</b> : Shows Title (success/failure) <br>

							<b>[[payment_status_message]]</b> : Shows Description (success/failure)<br>							

						','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('IPN/Notify URL','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<?php echo $data['module']->setting['notify_url']?>												

						<p><div class="tips"><?php _e('Notify URL for capturing silent post data sent from PayPal. READONLY, only for information.','mgm'); ?></div></p>

					</td>

				</tr>

				<tr>

					<td valign="top">

						<p><b><?php _e('Supported Buttons','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<?php echo implode(', ', $data['module']->supported_buttons)?>												

						<p><div class="tips"><?php _e('Supported buttons. READONLY, only for information.','mgm'); ?></div></p>

					</td>

				</tr>

				<?php if(in_array('subscription', $data['module']->supported_buttons)):?>

				<tr>

					<td valign="top">

						<p><b><?php _e('Supports Trial','mgm'); ?>:</b></p>

					</td>

				</tr>

				<tr>

					<td valign="top">						

						<?php echo ($data['module']->supports_trial =='Y') ? 'Yes' : 'No'?>												

						<p><div class="tips"><?php _e('Supports trial setup. READONLY, only for information.','mgm'); ?></div></p>

					</td>

				</tr>

				<?php endif;?>

			</table>	

			<p>					

				<input class="button" type="submit" name="btn_save" value="<?php _e('Update Settings', 'mgm') ?> &raquo;" />

			</p>

			<input type="hidden" name="update" value="true" />

			<input type="hidden" name="setting_form" value="main" />

		</form>

	<?php mgm_box_bottom();?>

</div>

<script language="javascript">

	<!--	

	// onready

	jQuery(document).ready(function(){   

		// editor

		jQuery("#frmmod_<?php echo $data['module']->code?> textarea[id]").each(function(){						

			new nicEditor({fullPanel : true, iconsPath: '<?php echo MGM_PLUGIN_ASSETS_URL?>js/nicedit/nicEditorIcons.gif'}).panelInstance(jQuery(this).attr('id')); 			

		});

		// add : form validation

		jQuery("#frmmod_<?php echo $data['module']->code?>").validate({

			submitHandler: function(form) {					    					

				jQuery("#frmmod_<?php echo $data['module']->code?>").ajaxSubmit({type: "POST",				  

				  dataType: 'json',			

				  iframe: false,					

				  beforeSerialize: function($form) { 					

					// only on IE

					if(jQuery.browser.msie){

						jQuery($form).find("textarea[id]").each(function(){								

							jQuery(this).val(nicEditors.findEditor(jQuery(this).attr('id')).getContent()); 

						});										

					}

				  },				 

				  beforeSubmit: function(){	

				  	// show processing 

					mgm_show_message("#module_settings_<?php echo $data['module']->code?>", {status: "running", message: "<?php _e('Processing','mgm')?>..."}, true);						

				  },

				  success: function(data){							

					// show status  

					mgm_show_message("#module_settings_<?php echo $data['module']->code?>", data);													

				  }}); // end   		

				  return false;											

			},

			rules: {			

				'setting[username]' : 'required',

				'setting[password]' : 'required',

				'setting[signature]': 'required'

				

			},

			messages: {		

				'setting[username]': "<?php _e('Please enter PayPalPro api username.','mgm')?>",

				'setting[password]': "<?php _e('Please enter PayPalPro api password.','mgm')?>",

				'setting[signature]': "<?php _e('Please enter PayPalPro api signature.','mgm')?>"

			},

			errorClass: 'invalid'

		});			

		// attach uploader

		mgm_file_uploader('#module_settings_<?php echo $data['module']->code?>', mgm_upload_logo);	

	});	

	//-->	

</script>



	

