<?php

// autoresponder module

class mgm_constantcontact extends mgm_autoresponder{



	// construct

	function __construct(){

		// php4 construct

		$this->mgm_constantcontact();

	}

	

	// construct

	function mgm_constantcontact(){

		// parent

		parent::__construct();

		// set code

		$this->code = __CLASS__; 

		// set name

		$this->name = 'Constant Contact';

		// desc

		$this->description = __('Constant Contact Desc','mgm');

		// endpoint

		$this->_set_endpoint('live','http://visitor.r20.constantcontact.com/d.jsp');

		// set path

		parent::set_tmpl_path();	

	}

	

	// settings_box

	function settings_box(){

		global $wpdb;

		// data

		$data = array();	

		// set 

		$data['module'] = mgm_get_option($this->code);

		// load template view

		return $this->load_template('settings_box', array('data'=>$data), true);		

	}

	

	// update

	function settings_update(){

		// form type 

		switch($_POST['setting_form']){

			case 'main':

			// form main

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

			case 'box':

			default:

			// from box

				// set fields

				// $this->setting['listid']   = $_POST['setting']['constantcontact']['listid'];

				$this->setting['code'] = $_POST['setting']['constantcontact']['code'];

				// update option

				update_option($this->code, $this);

				// print message	

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

		}		

	}

	

	// set postfields

	function _set_postfields($user_id){

		$user         = get_userdata($user_id);			

		$user_email   = stripslashes($user->user_email);		

		$display_name = stripslashes($user->display_name);	

		

		$this->postfields = array(

								/*"llr"  => $this->setting['listid'],*/

								"m"    => $this->setting['code'],

								"p"    => "oi",

								"ea"   => $user_email,

								/*"name" => $display_name,*/

								"go"   => "Go"

							);	

	}

}

// end file