<?php

// autoresponder module

class mgm_icontact extends mgm_autoresponder{



	// construct

	function __construct(){

		// php4 construct

		$this->mgm_icontact();

	}

	

	// construct

	function mgm_icontact(){

		// parent

		parent::__construct();

		// set code

		$this->code = __CLASS__; 

		// set name

		$this->name = 'iContact';

		// desc

		$this->description = __('iContact Desc.','mgm');

		// endpoint

		$this->_set_endpoint('live','https://app.icontact.com/icp/signup.php');

		// set path

		parent::set_tmpl_path();	

	}

	

	// settings_box

	function settings_box(){

		global $wpdb;

		// data

		$data = array();	

		// set 

		$data['module'] = mgm_get_option($this->code);

		// load template view

		return $this->load_template('settings_box', array('data'=>$data), true);		

	}

	

	// update

	function settings_update(){

		// form type 

		switch($_POST['setting_form']){

			case 'main':

			// form main

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

			case 'box':

			default:

			// from box

				// set fields

				$this->setting['clientid']  = $_POST['setting']['icontact']['clientid'];

				$this->setting['formid']    = $_POST['setting']['icontact']['formid'];

				$this->setting['listid']    = $_POST['setting']['icontact']['listid'];

				$this->setting['specialid'] = $_POST['setting']['icontact']['specialid'];

				

				// update option

				update_option($this->code, $this);

				// print message	

				echo json_encode(array('status'=>'success','message'=>$this->name . ' settings updated'));

			break;			

		}		

	}

	

	// set postfields

	function _set_postfields($user_id){

		$user         = get_userdata($user_id);			

		$user_email   = stripslashes($user->user_email);		

		$display_name = stripslashes($user->display_name);	

		

		$this->postfields = array(

								"formid"       => $this->setting['formid'],

               					"clientid"     => $this->setting['clientid'],

								"listid"       => $this->setting['listid'],

        						"specialid:{$this->setting['listid']}" => $this->setting['specialid'],

								"doubleopt"    => "1",

								"reallistid"   => "1",

        						"fields_email" => $user_email,

								"fields_fname" => $display_name,

								"submit"       => "Submit"

							);	

	}

}

// end file